Bug 1579832 - qt apps are scaled incorrectly in GNOME
Summary: qt apps are scaled incorrectly in GNOME
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qgnomeplatform
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-18 12:39 UTC by Dominik Gronkiewicz
Modified: 2019-01-18 01:37 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-10 23:19:57 UTC
Type: Bug


Attachments (Terms of Use)
cmake-gui with oversized fonts (77.18 KB, image/png)
2018-05-18 12:39 UTC, Dominik Gronkiewicz
no flags Details

Description Dominik Gronkiewicz 2018-05-18 12:39:56 UTC
Created attachment 1438531 [details]
cmake-gui with oversized fonts

I have a screen which requires me to use 1.25x scaling. I achieve this by setting 1.25 text scaling coefficient in gnome-tweaks. In Fedora 26, this scaled Qt5 apps correctly (such as cmake-gui, kstars, VirtualBox etc.). After installing 28, text in Qt apps appear to be scaled in excess (see screenshot attached). Note that the problem does not occur for scaling 1.24 or less, but then many other applications do not look as desired (particularly Opera), so I'd rather use 1.25 scaling. I tried tweaking QT_AUTO_SCREEN_SCALE_FACTOR and QT_SCALE_FACTOR environment variables but I could not make the interface font smaller (I only succeeded in making it even larger). I have noticed that running:

echo 'Xft.dpi: 96' | xrdb -merge

helps to solve the issue for the current session, but I don't know how to make this setting permanent, since after restart it reverts to old setting (120 = 96 x 1.25):

$ xrdb -query | grep dpi
Xft.dpi:	120

Please fix this because it broke all Qt5 (not sure about Qt4) apps which worked perfectly before (at least in F26) :(

Comment 1 Rex Dieter 2018-10-25 19:26:08 UTC
Re-triaging to qgnomeplatform (assuming this may be specific to Qt5 running on gnome)

Comment 2 Fedora Update System 2018-12-05 15:33:37 UTC
qgnomeplatform-0.5-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ffed6308d

Comment 3 Fedora Update System 2018-12-05 15:33:47 UTC
qgnomeplatform-0.5-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-208d6bcf22

Comment 4 Fedora Update System 2018-12-06 01:12:54 UTC
qgnomeplatform-0.5-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-208d6bcf22

Comment 5 Fedora Update System 2018-12-06 02:27:44 UTC
qgnomeplatform-0.5-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1ffed6308d

Comment 6 Dominik Gronkiewicz 2018-12-08 01:29:36 UTC
I confirm the latest update qgnomeplatform-0.5-5.fc29 fixed the issue for me.

Comment 7 Randy Barlow 2018-12-10 23:19:57 UTC
An update associated with this bug has been pushed to stable.

Comment 8 Randy Barlow 2018-12-11 17:04:09 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 9 Randy Barlow 2018-12-14 20:41:19 UTC
A Fedora update associated with this bug has been pushed to the stable repository.

Comment 10 Fedora Update System 2019-01-04 14:35:06 UTC
analitza-18.04.3-3.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28 calibre-3.34.0-2.fc28 dnscrypt-proxy-gui-1.21.16-2.fc28 fcitx-qt5-1.2.3-4.fc28 gammaray-2.9.0-5.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.3 hedgewars-0.9.24.1-4.fc28 kf5-akonadi-server-18.08.3-2.fc28 kf5-frameworkintegration-5.53.0-3.fc28 kf5-kdeclarative-5.53.0-3.fc28 kf5-kwayland-5.53.0-3.fc28 kf5-kxmlgui-5.53.0-3.fc28 kwin-5.13.5-2.fc28 libfm-qt-0.11.2-13.fc28 libqtxdg-2.0.0-14.fc28 lxqt-qtplugin-0.11.1-13.fc28 mscore-2.2.1-6.fc28 plasma-integration-5.13.5-2.fc28 pyotherside-1.5.3-14.fc28 python-qt5-5.10.1-5.fc28 pythonqt-3.2-11.fc28 qgnomeplatform-0.5-6.fc28 qstardict-1.3-5.fc28 qt-creator-4.6.2-3.fc28 qt5-5.11.3-1.fc28 qt5-qt3d-5.11.3-1.fc28 qt5-qtbase-5.11.3-1.fc28 qt5-qtcanvas3d-5.11.3-1.fc28 qt5-qtcharts-5.11.3-1.fc28 qt5-qtconnectivity-5.11.3-1.fc28 qt5-qtdatavis3d-5.11.3-1.fc28 qt5-qtdeclarative-5.11.3-1.fc28 qt5-qtdoc-5.11.3-1.fc28 qt5-qtenginio-1.6.2-20.fc28 qt5-qtgamepad-5.11.3-1.fc28 qt5-qtgraphicaleffects-5.11.3-1.fc28 qt5-qtimageformats-5.11.3-1.fc28 qt5-qtlocation-5.11.3-1.fc28 qt5-qtmultimedia-5.11.3-1.fc28 qt5-qtquickcontrols-5.11.3-1.fc28 qt5-qtquickcontrols2-5.11.3-1.fc28 qt5-qtremoteobjects-5.11.3-1.fc28 qt5-qtscript-5.11.3-1.fc28 qt5-qtsensors-5.11.3-1.fc28 qt5-qtserialbus-5.11.3-1.fc28 qt5-qtserialport-5.11.3-1.fc28 qt5-qtspeech-5.11.3-1.fc28 qt5-qtstyleplugins-5.0.0-29.fc28 qt5-qtsvg-5.11.3-1.fc28 qt5-qttools-5.11.3-1.fc28 qt5-qttranslations-5.11.3-1.fc28 qt5-qtvirtualkeyboard-5.11.3-1.fc28 qt5-qtwayland-5.11.3-1.fc28 qt5-qtwebchannel-5.11.3-1.fc28 qt5-qtwebengine-5.11.3-2.fc28 qt5-qtwebkit-5.212.0-0.31.alpha2.fc28 qt5-qtwebsockets-5.11.3-1.fc28 qt5-qtwebview-5.11.3-1.fc28 qt5-qtx11extras-5.11.3-1.fc28 qt5-qtxmlpatterns-5.11.3-1.fc28 qt5ct-0.35-3.fc28 qtcurve-1.9.1-2.fc28 skrooge-2.14.0-3.fc28 texmaker-5.0.2-7.fc28 ugene-1.31.0-4.fc28 xdg-desktop-portal-kde-5.13.5-3.fc28 yarock-1.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 11 Fedora Update System 2019-01-05 01:44:55 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 12 Fedora Update System 2019-01-05 15:46:22 UTC
analitza-18.04.3-3.fc28 appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28 calibre-3.34.0-2.fc28 dnscrypt-proxy-gui-1.21.16-2.fc28 fcitx-qt5-1.2.3-4.fc28 gammaray-2.9.0-5.fc28 gsettings-qt-0-0.11.20170715bzr83.fc28.3 hedgewars-0.9.24.1-4.fc28 kf5-akonadi-server-18.08.3-2.fc28 kf5-frameworkintegration-5.53.0-3.fc28 kf5-kdeclarative-5.53.0-3.fc28 kf5-kwayland-5.53.0-3.fc28 kf5-kxmlgui-5.53.0-3.fc28 kwin-5.13.5-2.fc28 libfm-qt-0.11.2-13.fc28 libqtxdg-2.0.0-14.fc28 lxqt-qtplugin-0.11.1-13.fc28 mscore-2.2.1-6.fc28 plasma-integration-5.13.5-2.fc28 pyotherside-1.5.3-14.fc28 python-qt5-5.10.1-5.fc28 pythonqt-3.2-11.fc28 qgnomeplatform-0.5-6.fc28 qstardict-1.3-5.fc28 qt-creator-4.6.2-3.fc28 qt5-5.11.3-1.fc28 qt5-qt3d-5.11.3-1.fc28 qt5-qtbase-5.11.3-1.fc28 qt5-qtcanvas3d-5.11.3-1.fc28 qt5-qtcharts-5.11.3-1.fc28 qt5-qtconnectivity-5.11.3-1.fc28 qt5-qtdatavis3d-5.11.3-1.fc28 qt5-qtdeclarative-5.11.3-1.fc28 qt5-qtdoc-5.11.3-1.fc28 qt5-qtenginio-1.6.2-20.fc28 qt5-qtgamepad-5.11.3-1.fc28 qt5-qtgraphicaleffects-5.11.3-1.fc28 qt5-qtimageformats-5.11.3-1.fc28 qt5-qtlocation-5.11.3-1.fc28 qt5-qtmultimedia-5.11.3-1.fc28 qt5-qtquickcontrols-5.11.3-1.fc28 qt5-qtquickcontrols2-5.11.3-1.fc28 qt5-qtremoteobjects-5.11.3-1.fc28 qt5-qtscript-5.11.3-1.fc28 qt5-qtscxml-5.11.3-1.fc28 qt5-qtsensors-5.11.3-1.fc28 qt5-qtserialbus-5.11.3-1.fc28 qt5-qtserialport-5.11.3-1.fc28 qt5-qtspeech-5.11.3-1.fc28 qt5-qtstyleplugins-5.0.0-29.fc28 qt5-qtsvg-5.11.3-1.fc28 qt5-qttools-5.11.3-1.fc28 qt5-qttranslations-5.11.3-1.fc28 qt5-qtvirtualkeyboard-5.11.3-1.fc28 qt5-qtwayland-5.11.3-1.fc28 qt5-qtwebchannel-5.11.3-1.fc28 qt5-qtwebengine-5.11.3-2.fc28 qt5-qtwebkit-5.212.0-0.31.alpha2.fc28 qt5-qtwebsockets-5.11.3-1.fc28 qt5-qtwebview-5.11.3-1.fc28 qt5-qtx11extras-5.11.3-1.fc28 qt5-qtxmlpatterns-5.11.3-1.fc28 qt5ct-0.35-3.fc28 qtcurve-1.9.1-2.fc28 skrooge-2.14.0-3.fc28 texmaker-5.0.2-7.fc28 ugene-1.31.0-4.fc28 xdg-desktop-portal-kde-5.13.5-3.fc28 yarock-1.3.1-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 13 Fedora Update System 2019-01-06 03:07:33 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtscxml-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-729922a177

Comment 14 Fedora Update System 2019-01-18 01:37:52 UTC
analitza-18.04.3-3.fc28, appmenu-qt5-0.3.0+16.10.20160628.1-11.fc28, calibre-3.34.0-2.fc28, dnscrypt-proxy-gui-1.21.16-2.fc28, fcitx-qt5-1.2.3-4.fc28, gammaray-2.9.0-5.fc28, gsettings-qt-0-0.11.20170715bzr83.fc28.3, hedgewars-0.9.24.1-4.fc28, kf5-akonadi-server-18.08.3-2.fc28, kf5-frameworkintegration-5.53.0-3.fc28, kf5-kdeclarative-5.53.0-3.fc28, kf5-kwayland-5.53.0-3.fc28, kf5-kxmlgui-5.53.0-3.fc28, kwin-5.13.5-2.fc28, libfm-qt-0.11.2-13.fc28, libqtxdg-2.0.0-14.fc28, lxqt-qtplugin-0.11.1-13.fc28, mscore-2.2.1-6.fc28, plasma-integration-5.13.5-2.fc28, pyotherside-1.5.3-14.fc28, python-qt5-5.10.1-5.fc28, pythonqt-3.2-11.fc28, qgnomeplatform-0.5-6.fc28, qstardict-1.3-5.fc28, qt-creator-4.6.2-3.fc28, qt5-5.11.3-1.fc28, qt5-qt3d-5.11.3-1.fc28, qt5-qtbase-5.11.3-1.fc28, qt5-qtcanvas3d-5.11.3-1.fc28, qt5-qtcharts-5.11.3-1.fc28, qt5-qtconnectivity-5.11.3-1.fc28, qt5-qtdatavis3d-5.11.3-1.fc28, qt5-qtdeclarative-5.11.3-1.fc28, qt5-qtdoc-5.11.3-1.fc28, qt5-qtenginio-1.6.2-20.fc28, qt5-qtgamepad-5.11.3-1.fc28, qt5-qtgraphicaleffects-5.11.3-1.fc28, qt5-qtimageformats-5.11.3-1.fc28, qt5-qtlocation-5.11.3-1.fc28, qt5-qtmultimedia-5.11.3-1.fc28, qt5-qtquickcontrols-5.11.3-1.fc28, qt5-qtquickcontrols2-5.11.3-1.fc28, qt5-qtremoteobjects-5.11.3-1.fc28, qt5-qtscript-5.11.3-1.fc28, qt5-qtscxml-5.11.3-1.fc28, qt5-qtsensors-5.11.3-1.fc28, qt5-qtserialbus-5.11.3-1.fc28, qt5-qtserialport-5.11.3-1.fc28, qt5-qtspeech-5.11.3-1.fc28, qt5-qtstyleplugins-5.0.0-29.fc28, qt5-qtsvg-5.11.3-1.fc28, qt5-qttools-5.11.3-1.fc28, qt5-qttranslations-5.11.3-1.fc28, qt5-qtvirtualkeyboard-5.11.3-1.fc28, qt5-qtwayland-5.11.3-1.fc28, qt5-qtwebchannel-5.11.3-1.fc28, qt5-qtwebengine-5.11.3-2.fc28, qt5-qtwebkit-5.212.0-0.31.alpha2.fc28, qt5-qtwebsockets-5.11.3-1.fc28, qt5-qtwebview-5.11.3-1.fc28, qt5-qtx11extras-5.11.3-1.fc28, qt5-qtxmlpatterns-5.11.3-1.fc28, qt5ct-0.35-3.fc28, qtcurve-1.9.1-2.fc28, skrooge-2.14.0-3.fc28, texmaker-5.0.2-7.fc28, ugene-1.31.0-4.fc28, xdg-desktop-portal-kde-5.13.5-3.fc28, yarock-1.3.1-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.